Why my atom editor only has chrome dev tools?


#1


This is how my atom editor looks like after installing. I download the installer from https://atom.io/. Why am I getting this? Any solution to fix this?


#2

If you click on the little red icon with a 1 next to it in the top right corner what error message do you see?


#3

Error: EPERM: operation not permitted, open 'C:\Users\User.atom\compile-cache\less\40e22529c8729b65e1d700a7ae3f73d57ed1288f\imports.json’
at Object.fs.openSync (fs.js:558:18)
at Object.module.(anonymous function) [as openSync] (ELECTRON_ASAR.js:173:20)
at Object.fs.writeFileSync (fs.js:1233:33)
at Proxy.writeFileSync (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\node_modules\fs-plus\lib\fs-plus.js:298:29)
at LessCache.module.exports.LessCache.writeJson (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\node_modules\less-cache\lib\less-cache.js:212:23)
at LessCache.module.exports.LessCache.setImportPaths (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\node_modules\less-cache\lib\less-cache.js:161:18)
at new LessCache (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\node_modules\less-cache\lib\less-cache.js:68:18)
at new LessCompileCache (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\less-compile-cache.js:21:26)
at ThemeManager.loadLessStylesheet (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\theme-manager.js:254:30)
at ThemeManager.loadStylesheet (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\theme-manager.js:246:25)
at ThemeManager.requireStylesheet (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\theme-manager.js:173:34)
at ThemeManager.reloadBaseStylesheets (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\theme-manager.js:228:16)
at ThemeManager.loadBaseStylesheets (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\theme-manager.js:224:16)
at AtomEnvironment.module.exports.AtomEnvironment.initialize (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\atom-environment.js:348:25)
at module.exports (C:\Users\User\AppData\Local\atom\app-1.23.3\resources\app\src\initialize-application-window.js:106:29)
at setupWindow (file:///C:/Users/User/AppData/Local/atom/app-1.23.3/resources/app.asar/static/index.js:106:12)
at window.onload (file:///C:/Users/User/AppData/Local/atom/app-1.23.3/resources/app.asar/static/index.js:67:9)
handleSetupError @ index.js:87

The error in the source file:
atom%20source


#4

Try deleting the C:\Users\User\.atom folder and then open Atom again.


#5

Thank you very much! It solved my problem.


#6

In the future, if that same problem happens, you should only need to delete .atom\compile-cache. Since you didn’t have any packages installed, there was nothing wrong with dumping the whole thing and starting over.


#7

Ok, thank you.